oracle.xml.xquery

## Class OXQConstants

- java.lang.Object
- - oracle.xml.xquery.OXQConstants

    public final class OXQConstants
    extends java.lang.Object

Constant values.

Since:
  12.1
See Also:
  `XQConstants`

### Field Summary

Fields
`static javax.xml.namespace.QName` `ANY_NAME` Defines a wildcard name for variable declarations.
`static int` `BINDING_TYPE_CHECK_MODE_FULL` An `OXQStaticContext` constant indicating that the XQuery processor must check whether an actual type of an external variable binding fully matches its declared type: both prime type and quantifier are checked.
`static int` `BINDING_TYPE_CHECK_MODE_PRIME` An `OXQStaticContext` constant indicating that the XQuery processor should check whether an actual type of an external variable binding only partially matches its declared type: prime type is checked, quantifier is not checked.
`static int` `LANGTYPE_XPATH` An `XQStaticContext` constant indicating that the expression language used in `XQConnection.prepareExpression` and `XQExpression.execute` is XPath
`static int` `PROCESSING_FULL` An `OXQStaticContext` constant indicating that queries should be fully processed for execution.
`static int` `PROCESSING_STATIC_ANALYSIS_ONLY` An `OXQStaticContext` constant indicating that the compiler should perform static analysis only.
`static int` `UPDATE_MODE_DISABLED` An `OXQDynamicContext` constant indicating that XML may not be updated by the query.
`static int` `UPDATE_MODE_ENABLED` An `OXQDynamicContext` constant indicating that XML may be updated by the query.

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BINDING_TYPE_CHECK_MODE_FULL

    public static final int BINDING_TYPE_CHECK_MODE_FULL

An `OXQStaticContext` constant indicating that the XQuery processor must check whether an actual type of an external variable binding fully matches its declared type: both prime type and quantifier are checked.

See Also:
  `OXQStaticContext.getBindingTypeCheckMode()`, Constant Field Values

#### BINDING_TYPE_CHECK_MODE_PRIME

    public static final int BINDING_TYPE_CHECK_MODE_PRIME

An `OXQStaticContext` constant indicating that the XQuery processor should check whether an actual type of an external variable binding only partially matches its declared type: prime type is checked, quantifier is not checked.

See Also:
  `OXQStaticContext.getBindingTypeCheckMode()`, Constant Field Values

#### PROCESSING_FULL

    public static final int PROCESSING_FULL

An `OXQStaticContext` constant indicating that queries should be fully processed for execution.

See Also:
  `OXQStaticContext.getProcessingMode()`, Constant Field Values

#### PROCESSING_STATIC_ANALYSIS_ONLY

    public static final int PROCESSING_STATIC_ANALYSIS_ONLY

An `OXQStaticContext` constant indicating that the compiler should perform static analysis only.

See Also:
  `OXQStaticContext.getProcessingMode()`, Constant Field Values

#### ANY_NAME

    public static final javax.xml.namespace.QName ANY_NAME

Defines a wildcard name for variable declarations. Calling `OXQStaticContext.declareVariable(QName, XQSequenceType)` with this name instructs XQuery compiler to automatically create external variable for all undeclared variables it finds in the query.

See Also:
  `OXQStaticContext.declareVariable(QName, XQSequenceType)`

#### LANGTYPE_XPATH

    public static final int LANGTYPE_XPATH

An `XQStaticContext` constant indicating that the expression language used in `XQConnection.prepareExpression` and `XQExpression.execute` is XPath

See Also:
  `XQStaticContext.setQueryLanguageTypeAndVersion(int)`, Constant Field Values

#### UPDATE_MODE_DISABLED

    public static final int UPDATE_MODE_DISABLED

An `OXQDynamicContext` constant indicating that XML may not be updated by the query.

See Also:
  `OXQDynamicContext.setUpdateMode(int)`, Constant Field Values

#### UPDATE_MODE_ENABLED

    public static final int UPDATE_MODE_ENABLED

An `OXQDynamicContext` constant indicating that XML may be updated by the query.

See Also:
  `OXQDynamicContext.setUpdateMode(int)`, Constant Field Values

Copyright © 2003, 2017, Oracle and/or its affiliates. All rights reserved.